| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# csThread Member List

This is the complete list of members for csThread, including all inherited members.

Create(csRunnable *, uint32 options=0) | csThread | `[static]`
csRefCount() | csRefCount | `[inline]`
DecRef() | csRefCount | `[inline]`
Delete() | csRefCount | `[inline, protected, virtual]`
GetLastError() const =0 | csThread | `[pure virtual]`
GetPriority()=0 | csThread | `[pure virtual]`
GetRefCount() const | csRefCount | `[inline]`
IncRef() | csRefCount | `[inline]`
ref_count | csRefCount | `[protected]`
SetPriority(csThreadPriority Priority)=0 | csThread | `[pure virtual]`
Start()=0 | csThread | `[pure virtual]`
Stop()=0 | csThread | `[pure virtual]`
Wait()=0 | csThread | `[pure virtual]`
Yield()=0 | csThread | `[pure virtual]`
~csRefCount() | csRefCount | `[inline, protected, virtual]`